com.fasterxml.jackson.dataformat.yaml

## Enum YAMLParser.Feature

- java.lang.Object
- - java.lang.Enum<YAMLParser.Feature>
  - - com.fasterxml.jackson.dataformat.yaml.YAMLParser.Feature

All Implemented Interfaces:
  com.fasterxml.jackson.core.FormatFeature, com.fasterxml.jackson.core.util.JacksonFeature, Serializable, Comparable<YAMLParser.Feature>

Enclosing class:
  YAMLParser

    public static enum YAMLParser.Feature
    extends Enum<YAMLParser.Feature>
    implements com.fasterxml.jackson.core.FormatFeature

Enumeration that defines all togglable features for YAML parsers.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EMPTY_STRING_AS_NULL` Feature that determines whether an empty `String` will be parsed as `null`.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static int` `collectDefaults()` Method that calculates bit set (flags) of all features that are enabled by default.
`boolean` `enabledByDefault()`
`boolean` `enabledIn(int flags)`
`int` `getMask()`
`static YAMLParser.Feature` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static YAMLParser.Feature[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EMPTY_STRING_AS_NULL

    public static final YAMLParser.Feature EMPTY_STRING_AS_NULL

Feature that determines whether an empty `String` will be parsed as `null`. Logic is part of YAML 1.1 Null Language-Independent Type.

Feature is enabled by default in Jackson 2.12 for backwards-compatibility reasons.

### Method Detail

#### values

    public static YAMLParser.Feature[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (YAMLParser.Feature c : YAMLParser.Feature.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static YAMLParser.Feature valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### collectDefaults

    public static int collectDefaults()

Method that calculates bit set (flags) of all features that are enabled by default.

#### enabledByDefault

    public boolean enabledByDefault()

Specified by:
  `enabledByDefault` in interface `com.fasterxml.jackson.core.FormatFeature`
Specified by:
  `enabledByDefault` in interface `com.fasterxml.jackson.core.util.JacksonFeature`

#### enabledIn

    public boolean enabledIn(int flags)

Specified by:
  `enabledIn` in interface `com.fasterxml.jackson.core.FormatFeature`
Specified by:
  `enabledIn` in interface `com.fasterxml.jackson.core.util.JacksonFeature`

#### getMask

    public int getMask()

Specified by:
  `getMask` in interface `com.fasterxml.jackson.core.FormatFeature`
Specified by:
  `getMask` in interface `com.fasterxml.jackson.core.util.JacksonFeature`